# Uses of Class
net.shibboleth.idp.saml.authn.principal.AuthenticationMethodPrincipal

Packages that use AuthenticationMethodPrincipal
Package
Description
net.shibboleth.idp.saml.authn.principal
SAML-specific classes for integration with idp-authn-api packages.
net.shibboleth.idp.saml.saml1.profile.impl
Profile processing actions related to SAML 1 messages.

## Uses of AuthenticationMethodPrincipal in net.shibboleth.idp.saml.authn.principal

Methods in net.shibboleth.idp.saml.authn.principal that return AuthenticationMethodPrincipal
Modifier and Type
Method
Description
`AuthenticationMethodPrincipal`
AuthenticationMethodPrincipal.`clone()`
Creates and returns a copy of this object.

## Uses of AuthenticationMethodPrincipal in net.shibboleth.idp.saml.saml1.profile.impl

Fields in net.shibboleth.idp.saml.saml1.profile.impl with type parameters of type AuthenticationMethodPrincipal
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,AuthenticationMethodPrincipal>`
AddAuthenticationStatementToAssertion.`methodLookupStrategy`
Strategy used to determine the AuthenticationMethod attribute.
Method parameters in net.shibboleth.idp.saml.saml1.profile.impl with type arguments of type AuthenticationMethodPrincipal
Modifier and Type
Method
Description
`void`
AddAuthenticationStatementToAssertion.`setAuthenticationMethodLookupStrategy(Function<ProfileRequestContext,AuthenticationMethodPrincipal> strategy)`
Set the strategy function to use to obtain the authentication method to use.